dvb_table_eit_event Struct Reference
Digital TV table parsing

DVB EIT event table. More...

`#include <eit.h>`

## Data Fields

uint16_t | event_id
union { |
uint16_t bitfield1 |
uint8_t dvbstart [5] |
}; |
uint8_t | dvbduration [3]
union { |
uint16_t bitfield2 |
struct { |
uint16_t desc_length:12 |
uint16_t free_CA_mode:1 |
uint16_t running_status:3 |
} |
}; |
struct dvb_desc * | descriptor
struct dvb_table_eit_event * | next
struct tm | start
uint32_t | duration
uint16_t | service_id

## Detailed Description

DVB EIT event table.

Parameters

  event_id | an uniquelly (inside a service ID) event ID
  desc_length | descriptor's length
  free_CA_mode | free CA mode. 0 indicates that the event is not scrambled
  running_status | running status of the event. The status can be translated to string via dvb_eit_running_status_name string table.
  descriptor | pointer to struct dvb_desc
  next | pointer to struct dvb_table_eit_event
  tm_start | event start (in struct tm format)
  duration | duration in seconds
  service_id | service ID

This structure is used to store the original EIT event table, converting the integer fields to the CPU endianness, and converting the timestamps to a way that it is better handled on Linux.

The undocumented parameters are used only internally by the API and/or are fields that are reserved. They shouldn't be used, as they may change on future API releases.

Everything after dvb_table_eit_event::descriptor (including it) won't be bit-mapped to the data parsed from the MPEG TS. So, metadata are added there.

Definition at line 105 of file eit.h.

## Field Documentation

## [union]

union { ... } dvb_table_eit_event

## [union]

union { ... } dvb_table_eit_event

## bitfield1

uint16_t dvb_table_eit_event::bitfield1

Definition at line 108 of file eit.h.

## bitfield2

uint16_t dvb_table_eit_event::bitfield2

Definition at line 113 of file eit.h.

## desc_length

uint16_t dvb_table_eit_event::desc_length

Definition at line 115 of file eit.h.

## descriptor

struct dvb_desc* dvb_table_eit_event::descriptor

Definition at line 120 of file eit.h.

## duration

uint32_t dvb_table_eit_event::duration

Definition at line 123 of file eit.h.

## dvbduration

uint8_t dvb_table_eit_event::dvbduration[3]

Definition at line 111 of file eit.h.

## dvbstart

uint8_t dvb_table_eit_event::dvbstart[5]

Definition at line 109 of file eit.h.

## event_id

uint16_t dvb_table_eit_event::event_id

Definition at line 106 of file eit.h.

## free_CA_mode

uint16_t dvb_table_eit_event::free_CA_mode

Definition at line 116 of file eit.h.

## next

struct dvb_table_eit_event* dvb_table_eit_event::next

Definition at line 121 of file eit.h.

## running_status

uint16_t dvb_table_eit_event::running_status

Definition at line 117 of file eit.h.

## service_id

uint16_t dvb_table_eit_event::service_id

Definition at line 124 of file eit.h.

## start

struct tm dvb_table_eit_event::start

Definition at line 122 of file eit.h.

The documentation for this struct was generated from the following file:

- lib/include/libdvbv5/eit.h